List In Progress Smart IA Sessions

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.connect.century.tech/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Connect API MCP server": {
  "url": "https://docs.connect.century.tech/mcp"
}
Close
GET /smart-ia/sessions/in-progress

Convenience method that only return "In Progress" Smart IA Sessions

Returns a paginated list of in progress sessions

Query parameters

  • startDate object

    Filter the results by session start date

    Supports either a ISO 8601 formatted date or a Unix timestamp. For example startDate[gt]=1688200245 or startDate[lt]=2023-07-15T12:00:00.000Z

    The following operators cannot be used together

    • gt and gte
    • lt and lte
    Hide startDate attributes Show startDate attributes object
  • userId array[string(uuid)]

    Filter the results by user ID.

    Multiple identifiers can be specified by repeating the query parameter. e.g. userId=value1&userId=value2

    This parameter supports a maximum of 30 identifiers.

    At least 1 but not more than 30 elements.

  • testId array[string(uuid)]

    Filter the results by test ID.

    Multiple identifiers can be specified by repeating the query parameter. e.g. testId=value1&testId=value2

    This parameter supports a maximum of 30 identifiers.

    At least 1 but not more than 30 elements.

  • subject array[string]

    Filter the results by test subject.

    Multiple identifiers can be specified by repeating the query parameter. e.g. subject=value1&subject=value2

    This parameter supports a maximum of 30 identifiers.

    At least 1 but not more than 30 elements.

  • limit integer(int32)

    Specify the pagination limit, defaults to 100

  • offset integer(int32)

    Specify the pagination offset, defaults to 0.

    Cannot be used with cursor

  • cursor string(byte) | null

    Provide the next or previous page cursor

  • sort object

    Specify the sort order of the results.

    The default sort order is sort[field]=startDate&sort[direction]=asc

    Hide sort attributes Show sort attributes object
    • field string

      The available sort fields.

      Values are startDate or endDate.

    • direction string

      The sort direction used for ordering the results. Can be "asc" (ascending) or "desc" (descending).

      Values are asc or desc.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data array[object] Required
      Hide data attributes Show data attributes object
      • sessionId string(uuid) Required

        The unique identifier for the Smart IA session (UUID).

      • startDate string(date-time) Required
      • status string Required

        The status of the Smart IA session, for in progress sessions this will always be "IN_PROGRESS".

        Value is IN_PROGRESS.

      • user object Required
        Hide user attributes Show user attributes object
        • userId string(uuid) Required

          User UUID.

        • username string Required

          The username of the user.

        • upn string

          The Unique Pupil Number (UPN) of the user.

        • externalId string

          Identifier from an external source

        • fullName string Required

          The full name of the user.

        • firstName string Required

          The first name of the user.

        • middleName string

          The middle name of the user.

        • lastName string Required

          The last name of the user.

        • emails array[string(email)]

          A list of all email addresses associated with the user.

        • gender string Required

          The gender of the user.

          Values are male, female, other, or unknown. Default value is unknown.

        • dateOfBirth string(date)

          The date of birth of the user.

      • test object Required
        Hide test attributes Show test attributes object
        • testId string(uuid) Required

          The Smart IA test ID

        • testVersionId string(uuid) Required

          The unique identifier for the Smart IA test version (UUID).

        • name string Required

          The name of the Smart IA test.

        • subject string Required

          The subject of the Smart IA test.

    • pagination object Required

      Metadata for the current pagination position

      Hide pagination attributes Show pagination attributes object
      • total integer(int32) Required

        The total number of items available.

      • limit integer(int32) Required

        The maximum number of results to return per page.

        Minimum value is 1, maximum value is 100. Default value is 100.

      • offset integer(int32) Required

        Indicates the starting position or index (offset)

        Default value is 0.

      • previousCursor string(byte) | null Required

        The cursor for pagination. Encoded byte string used to navigate between pages.

      • nextCursor string(byte) | null Required

        The cursor for pagination. Encoded byte string used to navigate between pages.

  • 401

    Invalid authentication credentials

  • 403

    Not authorised to access this resource

GET /smart-ia/sessions/in-progress
curl \
 --request GET 'https://connect.century.tech/api/v1/smart-ia/sessions/in-progress' \
 --header "x-api-key: $API_KEY"
Response examples (200)
{
  "data": [
    {
      "sessionId": "d93ba3c3-2482-4b0d-8b99-42a20e68e11e",
      "startDate": "2023-07-10T14:00:00.000Z",
      "status": "IN_PROGRESS",
      "user": {
        "userId": "68f06c66-702a-4c26-b8c5-b6dc4f81f25d",
        "username": "john_doe",
        "fullName": "John Doe",
        "firstName": "John",
        "lastName": "Doe",
        "emails": [
          "john.doe@email.com"
        ],
        "gender": "male",
        "dateOfBirth": "2010-07-01"
      },
      "test": {
        "testId": "c5a77fda-7174-446f-a4f5-0f47ccbf15ce",
        "testVersionId": "38444333-7450-49d5-922d-eb16a8f30589",
        "name": "English Smart Initial Assessment",
        "subject": "English"
      }
    }
  ],
  "pagination": {
    "total": 300,
    "limit": 30,
    "offset": 100,
    "previousCursor": "eyJsaW1pdCI6MSxiZWZvcmU6IiIsc29ydDpbWyJlbmREYXRlIiwiZGVzYyJdXX0=",
    "nextCursor": "eyJsaW1pdCI6MSxiZWZvcmU6IiIsc29ydDpbWyJlbmREYXRlIiwiZGVzYyJdXX0="
  }
}